/*
 *<SOURCE_HEADER>
 *
 *  <NAME>
 *    utils.h
 *  </NAME>
 *  <AUTHOR>
 *    Anthony R. Cassandra
 *  </AUTHOR>
 *  <CREATE_DATE>
 *    April, 2003
 *  </CREATE_DATE>
 *
 *  <RCS_KEYWORD>
 *    $RCSfile: utils.h,v $
 *    $Source: /u/cvs/proj/pomdp-solve/src/utils.h,v $
 *    $Revision: 1.5 $
 *    $Date: 2004/12/03 03:06:22 $
 *  </RCS_KEYWORD>
 *
 *  <COPYRIGHT>
 *
 *    2004, Anthony R. Cassandra
 *
 *    All Rights Reserved
 *                          
 *    Permission to use, copy, modify, and distribute this software and its
 *    documentation for any purpose other than its incorporation into a
 *    commercial product is hereby granted without fee, provided that the
 *    above copyright notice appear in all copies and that both that
 *    copyright notice and this permission notice appear in supporting
 *    documentation.
 * 
 *    ANTHONY CASSANDRA DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 *    INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY
 *    PARTICULAR PURPOSE.  IN NO EVENT SHALL ANTHONY CASSANDRA BE LIABLE FOR
 *    ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *    WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *    ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 *    OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 *  </COPYRIGHT>
 *
 *</SOURCE_HEADER>
 */
#ifndef UTILS_H
#define UTILS_H

extern void UTIL_mapBeliefList( char *belief_filename,
						  char *alpha_filename,
						  char *map_filename );
  
extern void UTIL_sortAlphaFile( char *in_alpha_filename,
						  char *out_alpha_filename );

extern void UTIL_purgeAlphaFile( char *in_alpha_filename,
						   char *out_alpha_filename,
						   PomdpSolveParams param );

extern void UTIL_compareAlphaFiles( char *alpha1_filename,
							 char *alpha2_filename,
							 double epsilon,
							 char *out_filename );

extern void UTIL_relinkPolicyGraph( char *alpha_filename,
							 char *pg_filename,
							 char *prev_alpha_filename,
							 char *out_pg_filename );

extern void UTIL_doBeliefUpdates();

#endif
